#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
import pango
import gtk
pygtk.require('2.0')
if gtk.pygtk_version < (2,7,0):
    print "PyGtk 2.7.0 or later required for this program"
    raise SystemExit
import os
import color
def framed(w):
    fr = Frame()
    fr.add(w)
    fr.show()
    return fr
class Button(gtk.Button):
    def __init__(self):
        gtk.Button.__init__(self)
    def set_bg_color(self, par):
        cob = color.ColorRGB()
        cob.from_tv(par)
        c = cob.to_long()
        gdk_color = gtk.gdk.Color(*c)
        style = self.get_style().copy()
        style.bg[gtk.STATE_NORMAL] = gdk_color
        style.bg[gtk.STATE_ACTIVE] = gdk_color
        style.bg[gtk.STATE_PRELIGHT] = gdk_color
        self.set_style(style)
default_config = {
    'a': {
        'label': '',
        'sensitive': True,
    },
    'on': {},
}
def eval(ev, par):
    a = {}
    try:
        a.update(default_config['a'])
    except KeyError:
        pass
    try:
        a.update(par['a'])
    except KeyError:
        pass
    w = Button()
    w.set_label(a['label'])
    w.set_sensitive(a['sensitive'])
    if 'bg_color' in a:
        w.set_bg_color(a['bg_color'])
    w.show()
    def on(ev, f):
        w.connect(ev, f)
    ons = {}
    try:
        ons.update(default_config['on'])
    except:
        pass
    try:
        ons.update(par['on'])
    except:
        pass
    try:
        for k in ons:
            on(k, ons[k])
    except:
        pass
    def set_label(s):
        w.set_label(s)
        return w
    def set_sensitive(b):
        w.set_sensitive(b)
        return w
    def set_bg_color(par):
        w.set_bg_color(par)
        return w
    res = {
        'widget': w,
        'on': ons,
        'm': {
            'set_label': set_label,
            'set_sensitive': set_sensitive,
            'set_bg_color': set_bg_color,
            'set_color': set_bg_color,
        }
    }
    return res
if __name__ == '__main__':
    pass