#!/usr/bin/env python
# -*- coding: utf-8 -*-

import gtk
import cairo
class WArea(gtk.DrawingArea):
    def __init__(self, w, h):
        gtk.DrawingArea.__init__(self)
        self.connect("expose_event", self.do_expose_event)
        self.set_size_request(w, h)
        self.width = w
        self.height = h
        self.myon = {}
        self.show()
    def do_expose_event(self, widget, event=None):
        self.context = widget.window.cairo_create()
        self.draw()
    def draw(self):
        cr = self.context
        rect = self.get_allocation()
        w = rect.width
        h = rect.height
        w = self.width
        h = self.height
        if 'draw' in self.myon and self.myon['draw'] is not None:
            par = {
                'allocation': {'width': rect.width, 'height': rect.height},
                'request': {'width': self.width, 'height': self.height},
                'context': cr,
                'widget': self,
            }
            self.myon['draw'](par)
    if 0:
        print 'allocation size:     ', rect.width, rect.height
        print 'drawing area request:', self.width, self.height
        cr.move_to(0,0)
        cr.line_to(w/2, h/2)
        cr.stroke()
    def redraw(self):
        if self.window:
            alloc = self.get_allocation()
            rect = gtk.gdk.Rectangle(0, 0, alloc.width, alloc.height)
            self.window.invalidate_rect(rect, True)
            self.window.process_updates(True)
class MAreaX(WArea):
    def __init__(self):
        WArea.__init__(self)
    def draw(self):
        pass
default_config = {
    't': 'drawing_simple',
    'c': [],
    'a': {
        'width': 200,
        'height': 200,
    },
    'on': {},
}
def eval(ev, par):
    config = {}
    config.update(default_config['a'])
    config.update(par['a'])
    width = config['width']
    height = config['height']
    w = WArea(width, height)
    w.show()
    ons = {}
    ons.update(default_config['on'])
    ons.update(par['on'])
    def on(ev, f):
        if ev in ['draw']:
            w.myon[ev] = f
        else:
            w.connect(ev, f, w)
    if True:
        ons = par['on']
        for k in ons:
            on(k, ons[k])
    else:
        print 'oj, niedobrze...'
        pass
    def redraw():
        w.redraw()
    c = default_config['c']
    try:
        c = par['c']
    except:
        pass
    if False:
        if isinstance(c, (list, tuple)) and len(c) == 1:
            c0 = ev(c[0])
            if c0 is not None:
                w.addv(c0['widget'])
        else:
            uti.err(u'cóś za dużo albo za mało dzieci')
    res = {
        'widget': w,
        'on': ons,
        'c': c,
        'm': {
            'redraw': redraw,
        }
    }
    return res
if __name__ == '__main__':
    pass