#!/usr/bin/env python
# -*- coding: utf-8 -*-

sultan = {
'type': 'lg',
'value': ur'''
%JPCBEGIN amus: OBJECT PROLOG
  %! example prolog for choir
  \input mus-pro-xc
  \musdefscore {\\s\mussize\+{16\musunit}\\a\mussize\+{16\musunit}\\t\mussize\+{16\musunit}\\b\mussize}%
  \musclefs{\-s0\treble \-a0\treble\-t0{\treble\dlap{\kern2.6mm\llap{\sevenrm8\kern1mm}}}\-b0\bass}
  \musaccidentals{\-s8\krz \-a8\krz \-t8\krz \-b6\krz}
  \mustextconfig{\\Ss{-6}\\Aa{-7}\\Tt{-7}\\Bb{-6}}
  \musbars{\\ss\\aa\\tt\\bb}
  \def\S{\mustextput S}\def\A{\mustextput A}\def\T{\mustextput T}\def\B{\mustextput B}
  \musaccolades{\-b0 {\placeltortoise bs}}
  \def\diste{.4}
  \def\hdiste{.2}
  \def\distq{.6}
  \def\hdistq{.3}
%JPCEND amus: OBJECT PROLOG
%JPCBEGIN amus: OBJECT VALUE
  % ----------------------------------------------------------------------------
  %! sł. J. Przybora, muz. J.Wasowski, „W kawiarence «Sułtan»”, takty 1–4, opr. na chór mieszany A. Borzym
  % ----------------------------------------------------------------------------
  % takt 1
  % ----------------------------------------------------------------------------
  \+-1\mushq
  \-s3 {\rlap{\kern-23.5mm\srm Sopran}}
  \-a3 {\rlap{\kern-23.5mm\srm Alt}}
  \-t3 {\rlap{\kern-23.5mm\srm Tenor}}
  \-b3 {\rlap{\kern-23.5mm\srm Bas}}
  \-s6 {\muscyf 4}\-s2 {\muscyf 4}%
  \-a6 {\muscyf 4}\-a2 {\muscyf 4}%
  \-t6 {\muscyf 4}\-t2 {\muscyf 4}%
  \-b6 {\muscyf 4}\-b2 {\muscyf 4}%
  \+2.5\mushq
  \-b{10} {\bi p}
  \+1\mushq
  \-s{15} {\rlap{\bf Moderato}}
   \museighr s
   \museighr a
   \museighr t
  \-b1 \quat
  \-b1 \krop
  \B {}{}{Pa}{}
  \*{\hdiste}
  \-s{10} {\bi p}
  \-a{10} {\bi p}
  \-t{10} {\bi p}
  \*{\hdiste}
  \-s2 \quat
  \-s3 \krop
  \S {}{}{Pa}{}
  \=a{-2} \quat
  \=a{-1} \krop
  \A {}{}{Pa}{}
  \-t4 \quatd
  \-t5 \krop
  \T {}{}{Pa}{}
  \*{\distq}
  \-b5 \eighd
  \B {}{}{pa}{}
  \*{\diste}
   \museighr s
   \museighr a
   \museighr t
  \-b1 \quat
  \-b1 \krop
  \B {}{}{pa}{}
  \*{\diste}
  \-s2 \quat
  \-s3 \krop
  \S {}{}{pa}{}
  \=a{-2} \quat
  \=a{-1} \krop
  \A {}{}{pa}{}
  \-t4 \quatd
  \-t5 \krop
  \T {}{}{pa}{}
  \*{\distq}
  \-b5 \eighd
  \B {}{}{pa}{}
  \*{\diste}
  % ----------------------------------------------------------------------------
  % takt 2
  % ----------------------------------------------------------------------------
  \bar
  \+2.5\mushq
   \museighr s
   \museighr a
   \museighr t
  \-b1 \quat
  \-b1 \krop
  \B {}{}{pa}{}
  \*{\diste}
  \-s2 \quat
  \-s3 \krop
  \S {}{}{pa}{}
  \=a{-2} \quat
  \=a{-1} \krop
  \A {}{}{pa}{}
  \-t4 \quatd
  \-t5 \krop
  \T {}{}{pa}{}
  \*{\distq}
  \-b5 \eighd
  \B {}{}{pa}{}
  \*{\diste}
   \museighr s
   \museighr a
   \museighr t
  \-b1 \quat
  \-b1 \krop
  \B {}{}{pa}{}
  \*{\diste}
  \-s2 \quat
  \-s3 \krop
  \S {}{}{pa}{}
  \=a{-2} \quat
  \=a{-1} \krop
  \A {}{}{pa}{}
  \-t4 \quatd
  \-t5 \krop
  \T {}{}{pa}{}
  \*{\distq}
  \-b5 \eighd
  \B {}{}{pa}{}
  \*{\diste}
  \+\mushq
  \-s{10} {\bi mf}
  \-a{10} {\bi mf}
  \-t{10} {\bi mf}
  \-b{10} {\bi mf}
  \+-\mushq
  % ----------------------------------------------------------------------------
  % takt 3
  % ----------------------------------------------------------------------------
  \bard
  \+2.5\mushq
  \-s5 \quatd
  \-s5 \krop
  \S {}{}{W ka}{}
  \-a2 \quat
  \-a3 \krop
  \A {}{}{W ka}{}
  \-t7 \quatd
  \T {}{}{W ka}{}
  \-b1 \quat
  \B {}{}{W ka}{}
  \*{\distq}
  \-t7 \quatd
  \T {-}{}{wia}{}
  \-b1 \quat
  \B {-}{}{wia}{}
  \*{\hdistq}
  \+-.8\mushq
  \-s4 \eighd
  \+.8\mushq
  \S {-}{wia}{}{}
  \+-.8\mushq
  \-a2 \eigh
  \+.8\mushq
  \A {-}{wia}{}{}
  \*{\hdistq}
  \-s2 \lkrz
  \-s2 \quat
  \S {-}{}{re}{}
  \-s3 \krop
  \-a1 \quat
  \-a1 \krop
  \A {-}{}{re}{}
  \-t5 \quatd
  \-t5 \krop
  \T {-}{}{re}{}
  \-b4 \quatd
  \B {-}{}{re}{}
  \*{\distq}
  \-b4 \quatd
  \B {-}{}{nce}{}
  \*{\hdistq}
  \-s3 \eigh
  \S {-}{}{nce}{}
  \-a1 \eigh
  \A {-}{}{nce}{}
  \-t5 \eigh
  \T {-}{}{nce}{}
  \*{\diste}
  % ----------------------------------------------------------------------------
  % takt 4
  % ----------------------------------------------------------------------------
  \bar
  \+2.5\mushq
  \-s3 \lkrz
  \-s3 \eigh
  \S {}{,,}{Su}{}
  \-a1 \half
  \A {}{,,}{Su}{}
  \-t6 \halfd
  \T {}{,,}{Su}{}
  \-b7 \half
  \-b0 \half
  \B {}{,,}{Su}{}
  \*{\diste}
  \-s4 \eighd
  \-s{5.6} {\hclslurb {dir 60}{tension 1.7} a}
  \S {-}{}{}{łtan''}
  \*{\diste}
  \-s4 \halfd
  \-s{5.6} {\hclslure {dir -60} a}
  \*{\distq} % cheating
  \museighr a
  \museighr t
  \-b3 \lkrz
  \-b3 \half
  \B {-}{}{łtan}{''}
  \*{\hdistq}
  \-a2 \quat
  \A {-}{}{łtan''}{}
  \-t4 \quatd
  \T {-}{}{łtan''}{}
  \*{\hdistq}
  \museighr s
  \*{\hdistq}
  \-s4 \eighd
  \+.5\mushq
  \S {}{}{przed}{}
  \+-.5\mushq
  \-a2 \eigh
  \+.5\mushq
  \A {}{}{przed}{}
  \+-.5\mushq
  \-t7 \eighd
  \+.5\mushq
  \T {}{}{przed}{}
  \+-.5\mushq
  \*{\diste}
%JPCEND amus: OBJECT VALUE
%JPCBEGIN amus: OBJECT INFO
filename=LG-xc-01-W_kawiarence_Sultan.pdf;
title=sł. J. Przybora, muz. J.Wasowski, „W kawiarence «Sułtan»”;
%JPCEND amus: OBJECT INFO
        '''
}
nokturn = {
'type': 'lg',
'value': ur'''
%JPCBEGIN amus: OBJECT PROLOG
  %! example prolog for piano solo
  \input mus-pro-xp
  \musdefscore {\\r\mussize\+{18\musunit}\\l\mussize}%
  \musbars{\\lr}
  \musclefs{\- r0\treble\- l0\bass}
  \musaccolades{\-l0 {\placevmoust lr}}
  \musaccidentals{%
     \- r8\krz \- l6\krz \+\mushq
     \- r5\krz \- l3\krz \+\mushq
     \- r9\krz \- l7\krz \+\mushq
     \- r6\krz \- l4\krz \+\mushq
     \- r3\krz \- l1\krz}
  \def\musvpcen#1{\-r0{\vboxb {musvspcen}} \-l8{\vboxe{\vss\offinterlineskip #1\vss}{musvspcen}}}
  %
%JPCEND amus: OBJECT PROLOG
%JPCBEGIN amus: OBJECT VALUE
  % ----------------------------------------------------------------------------
  %! F. Chopin, Nokturn 3 H-dur, op. 9, takt 27; red. I. J. Paderewski, L. Bronarski, J. Turczyński
  % ----------------------------------------------------------------------------
  \+-.5\mushq
  \-r6    {\muscyf 6}%
  \-r2    {\muscyf 8}%
  \-l6    {\muscyf 6}%
  \-l2    {\muscyf 8}%
  \+2\mushq
  \-r{9}   {\hclslurb {dir 50}{} a}
  \+2.5\mushq
  \-r{8.5}   {\hclslure {dir -50} a}
  \-r7 {\belkkb * 0 0 0 r}
  \-r{12.5} {\rlap{\font\f cmti10 \f dolcissimo}}
  {\let\kul\relax % DAUB
  \-l3 {\belkkb * 0 0 0 l}
  \+.5\mushq
  \-l3 \half
  \+-.5\mushq
  }
  \+1.5\mushq
  \-l{5} {\hclslurb {dir 35}{tension 3.25} d}
  \+-1.5\mushq
  \-l{-8} {\musped}
  \*{2.5}
  \+-.75\mushq
  \-r{-8.5} {\tupletb v}
  \+.75\mushq
  \-r{4.75} {\hclslurb {dir 28}{tension 1.5} b}
  \-r2 {\belkkm * 2 0 0 r}
  \finger 8.5 2
  \-l5 {\belkkm * 0 0 0 l}
  \*1
  \-r3 {\belkkm * 2 0 0 r}
  \*1
  \-r2 {\belkkm * 2 0 0 r}
  \*1
  \+.5\mushq
  \-r1 \lkkr
  \-r1 {\belkkm * 2 0 0 r}
  \*1
  \-r2 {\belkkm * 2 0 0 r}
  \*1
  \-r3 {\belkkm * 2 0 0 r}
  \-l9 {\belkkm * 0 0 0 l}
  \*1
  \-r4 {\belkkm * 2 0 0 r}
  \finger 8.5 1
  \*1
  \-r5 {\belkkm * 2 0 0 r}
  \*1
  \-r6 {\belkkm * 2 0 0 r}
  \*1
  \-r7 {\belkkm * 2 0 0 r}
  \finger 8.5 1
  \*1
  \+.5\mushq
  \-r8 \lkrz
  \-r8 {\belkkm * 2 0 0 r}
  \finger 9.5 2
  \-l7 {\belkkm * 0 0 0 l}
  \+-2.5\mushq
  \-l{-8} {\musstar}
  \+2.5\mushq
  \-l{-8} {\musped}
  \*1
  \+.5\mushq
  \-r8 \lkkr
  \-r8 {\belkkm * 2 0 0 r}
  \finger 9.5 3
  \*1
  \=r{10} {\belkkm * 2 0 0 r}
  \finger 11.5 5
  \*1
  \-r9 {\belkkm * 2 0 0 r}
  \*1
  \+.5\mushq
  \-r8 \lkrz
  \-r8 {\belkkm * 2 0 0 r}
  \-r{15} {\hclslurm {dir 0}{tension 2} b}
  \finger 9.5 2
  \*1
  \-r7 {\belkkm * 2 0 0 r}
  \finger 8.5 1
  \=l{12} {\belkkm * 0 0 0 l}
  \*1
  \-r6 {\belkkm * 2 0 0 r}
  \finger 8.5 3
  \*1
  \-r7 {\belkkm * 2 0 0 r}
  \*1
  \-r6 {\belkkm * 2 0 0 r}
  \*1
  \-r5 {\belkkm * 2 0 0 r}
  \*1
  \-r6 {\belkke * - {-13} {-12} r}
  \-r{-8.5} {\tuplete + {21} v}
  \*1
  \-r7 {\belkkb * 2 0 0 r}
  \-r{9.5} {\musakc}
  \-l9 {\belkke * - {-6} {-9} l}
  \+-.8\mushq
  \-l{9.75} {\hclslure {dir -35} d}
  \+.8\mushq
  \+-1\mushq
  \-l{-8} {\musstar}
  \+1\mushq
  \*1
  \-r2 {\belkkm * 2 0 0 r}
  \*1
  \+.25\mushq
  \-r{7.5} {\hclslurb {dir 50}{} c}
  \+-.25\mushq
  \-r6 {\belkkm * 2 0 1 r}
  \-r7 \krop
  \finger 8.5 4
  \*{1.5}
  \-r{6.8} {\hclslure {dir -50} c}
  \-r5 {\belkke * - {-13} {-11} r}
  \*1
  \-r{8.75} {\hclslure {dir -25} b}
  \+.5\mushq
%JPCEND amus: OBJECT VALUE
%JPCBEGIN amus: OBJECT INFO
filename=LG-xp-01-Nokturn_3_op_9.pdf;
title=F. Chopin, Nokturn 3 H-dur, op. 9, takt 27, red. I. J. Paderewski, L. Bronarski, J. Turczyński;
%JPCEND amus: OBJECT INFO
'''
}
preludium = {
'type': 'lg',
'value': ur'''
%JPCBEGIN amus: OBJECT PROLOG
  %! example prolog for piano solo
  \input mus-pro-xp
  \musdefscore {\\r\mussize\+{18\musunit}\\l\mussize}%
  \musbars{\\lr}
  \musclefs{\- r0\treble\- l0\bass}
  \musaccolades{\-l0 {\placevmoust lr}}
  \musaccidentals{\- r8\krz \- l6\krz \+\mushq}
  \def\musvpcen#1{\-r0{\vboxb {musvspcen}} \-l8{\vboxe{\vss\offinterlineskip #1\vss}{musvspcen}}}
  \def\firstdist{\+2\mushq}
  \def\lastdist{\*{.75} }
  \def\accidist{\+.5\mushq}
%JPCEND amus: OBJECT PROLOG
%JPCBEGIN amus: OBJECT VALUE
  % ----------------------------------------------------------------------------
  %! F. Chopin, Preludium 4 e-moll, op. 28, takty 1–4; red. I. J. Paderewski, L. Bronarski, J. Turczyński
  % ----------------------------------------------------------------------------
  % przedtakt
  % ----------------------------------------------------------------------------
  \+-4\mushq
  \-r{15.5} {\rlap{\musoverfont Largo}}
  \+2.5\mushq
  \-r4    {\musrhythmcrossc}
  \-l4    {\musrhythmcrossc}
  \+2.5\mushq
  \finger 9.5 1
  \muspiano
  \=r{-3} {\belkkb * 0 0 1 a}
  \=r{-3} \krop
  \+.5\mushq
  \-r9    {\hclslurb {dir60}{tension3.5} r}
  \+-.5\mushq
  \musquatr l
  \*{1.5}
  \finger 12.5 5
  \=r4    {\belkke * + {11} 6 a}
  \lastdist
  % ----------------------------------------------------------------------------
  % takt 1
  % ----------------------------------------------------------------------------
  % przerwana kreska taktowa
  \-l0    {\lineb v}
  \-l{16} {\linee v}
  \-l{18} {\rlap{\kern-3mm\musdesfontb espressivo}}
  \-r{-5} {\lineb v}
  \-r8    {\linee v}
  \firstdist
  \+.5\mushq
  \-l{14}    {\hclslurb {dir60}{tension4} l}
  \+-.5\mushq
  \finger 9 3
  \-r4 \halfd
  \-r5 \krop
  \=l{12} {\belkkb * 0 0 0 a}
  \-l{9}  \kul
  \-l{7}  \kul
  \fingel -3 1
  \fingel -6 2
  \fingel -9 4
  \*1
  \=l{12} {\belkkm * 0 0 0 a}
  \-l{9}  \kul
  \-l{7}  \kul
  \*1
  \=l{12} {\belkkm * 0 0 0 a}
  \-l{9}  \kul
  \-l{7}  \kul
  \*1
  \=l{12} {\belkke * + {-12} {-12} a}
  \-l{9}  \kul
  \-l{7}  \kul
  \*1
  \=l{12} {\belkkb * 0 0 0 a}
  \-l{9}  \kul
  \-l{7}  \kul
  \*1
  \=l{12} {\belkkm * 0 0 0 a}
  \-l{9}  \kul
  \-l{7}  \kul
  \*1
  \finger 9 4
  \-r5    \quatd
  \=l{12} {\belkkm * 0 0 0 a}
  \-l{9}  \kul
  \-l{7}  \kul
  \*1
  \=l{12} {\belkke * + {-12} {-12} a}
  \-l{9}  \kul
  \-l{7}  \kul
  \lastdist
  % ----------------------------------------------------------------------------
  % takt 2
  % ----------------------------------------------------------------------------
  \bar
  \-r{14}    {\hclslurm {dir0}{tension8} r}
  \-l{16.5}    {\hclslurm {dir0}{tension9} l}
  \firstdist
  \finger 9 2
  \-r4 \halfd
  \-r5 \krop
  \=l{12} {\belkkb * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \fingel -3 1
  \fingel -6 3
  \fingel -9 5
  \*1
  \=l{12} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \=l{12} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \=l{12} {\belkke * + {-12} {-12} a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \accidist
  \=l{11} \lkrz
  \=l{11} {\belkkb * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \fingel -4 1
  \fingel -7 3
  \fingel -10 5
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \finger 9 4
  \-r5    \quatd
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \=l{11} {\belkke * + {-12} {-12} a}
  \-l{8}  \kul
  \-l{6}  \kul
  \lastdist
  % ----------------------------------------------------------------------------
  % takt 3
  % ----------------------------------------------------------------------------
  \bar
  \firstdist
  \+-.15\mushq
  \-l{6}  \lkas
  \+.5\mushq
  \finger 9 2
  \-r4 \halfd
  \-r5 \krop
  \=l{11} \lkrz
  \=l{11} {\belkkb * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \fingel -4 1
  \fingel -7 2
  \fingel -10 5
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \=l{11} {\belkke * + {-12} {-12} a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \accidist
  \=l{11} \lkas
  \=l{11} {\belkkb * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \fingel -4 1
  \fingel -7 2
  \fingel -10 5
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{8}  \kul
  \-l{6}  \kul
  \*1
  \accidist
  \-l{7}  \lkrz
  \-l{6}  \kul
  \+\mushq
  \finger 9 4
  \-r5    \quatd
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{7}  \kul
  \fingel -4 3
  \fingel -7 5
  \*1
  \-l{6}  \kul
  \+\mushq
  \=l{11} {\belkke * + {-12} {-12} a}
  \-l{7}  \kul
  \lastdist
  % ----------------------------------------------------------------------------
  % takt 4
  % ----------------------------------------------------------------------------
  \bar
  \-r{14}      {\hclslurm {dir0}{tension3.5} r}
  \-l{16.5}    {\hclslurm {dir0}{tension4} l}
  \firstdist
  \+-.5\mushq
  \finger 9 2
  {\def\mus_max_thick
      % expression defining the widest width of the slur:
      {0.035*\the\mussize}% default 0.06*\the\mussize
  \-r{11.75}  {\hclslurb {dir60}{} f}
  \+1\mushq
  \finger 9 1
  \-r{11.75} {\hclslure {dir-60} f}
  }
  \+-.5\mushq
  \-r4 \halfd
  \-r5 \krop
  \=l{11} {\belkkb * 0 0 0 a}
  \=l{7} \lkrz
  \-l{7}  \kul
  \-l{5}  \kul
  \fingel -4 2
  \fingel -7 5
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{7}  \kul
  \-l{5}  \kul
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{7}  \kul
  \-l{5}  \kul
  \*1
  \=l{11} {\belkke * + {-12} {-12} a}
  \-l{7}  \kul
  \-l{5}  \kul
  \*1
  \accidist
  \=l{11} {\belkkb * 0 0 0 a}
  \=l{7} \lkas
  \-l{7}  \kul
  \-l{5}  \kul
  \fingel -4 3
  \fingel -7 5
  \*1
  \=l{11} {\belkkm * 0 0 0 a}
  \-l{7}  \kul
  \-l{5}  \kul
  \*1
  \accidist
  \+-\mushq
  \finger 9 3
  \+\mushq
  \-r4    \lbem
  \-r4    \quatd
  \-l{10}  \lkrz
  \=l{10} {\belkkm * 0 0 0 a}
  \-l{7}  \kul
  \-l{5}  \kul
  \*1
  \=l{10} {\belkke * + {-12} {-11} a}
  \-l{7}  \kul
  \-l{5}  \kul
  \lastdist
  \+-.5\mushq
  \-r9    {\hclslure {dir-60} r}
  \-l{12}    {\hclslure {dir-60} l}
  \+.5\mushq
%JPCEND amus: OBJECT VALUE
%JPCBEGIN amus: OBJECT INFO
filename=LG-xp-02-Preludium_4_op_28.pdf;
title=F. Chopin, Preludium 4 e-moll, op. 28, takty 1–4, red. I. J. Paderewski, L. Bronarski, J. Turczyński;
%JPCEND amus: OBJECT INFO
'''
}
gmina = {
'type': 'lg',
'value': ur'''
%JPCBEGIN amus: OBJECT PROLOG
  %! example prolog for vocal and chords
  \input mus-pro-xvc
  \musaccidentals{\-a4\bem \+\mushq \-a7\bem}
  \musclefs{\- a0\treble}
  \mustextconfig{\\Aa{-12}}
%JPCEND amus: OBJECT PROLOG
%JPCBEGIN amus: OBJECT VALUE
  % ----------------------------------------------------------------------------
  %! sł. J. Przybora, muz. J.Wasowski, „Taka Gmina”, takty 1–4, opr. J. Derfel
  % ----------------------------------------------------------------------------
  % takt 1
  % ----------------------------------------------------------------------------
  \+-\mushq
  \-a6    {\muscyf 2}%
  \-a2    {\muscyf 4}%
  \+1.5\mushq
  \repl
  \*.75
  \-a{-1} \sixt
  \mustextput A {}{}{Ni}{}
  \CHORD {Gm}
  \*1
  \-a{2} \sixt
  \mustextput A {}{}{wy}{}
  \*1
  \-a{2} \sixt
  \mustextput A {-}{}{ży}{}
  \*1
  \-a{2} \sixt
  \mustextput A {-}{}{na}{,}
  \*1
  \-a{2} \sixt
  \mustextput A {}{}{ni}{}
  \*1
  \-a{2} \sixt
  \mustextput A {}{}{ni}{}
  \*1
  \-a{2} \sixt
  \mustextput A {-}{}{zi}{}
  \*1
  \-a{2} \sixt
  \mustextput A {-}{}{na}{,}
  \*.75
  % ----------------------------------------------------------------------------
  % takt 2
  % ----------------------------------------------------------------------------
  \bar
  \*.5
  \-a{2} \sixt
  \mustextput A {}{}{ni}{}
  \+.5\mushq
  \CHORD {Dm^{\mkern-2mu7\mkern-2mu}}
  \+-.5\mushq
  \*1
  \-a{3} \sixt
  \mustextput A {}{}{krzy}{}
  \*1
  \-a{1} \sixt
  \mustextput A {-}{}{wi}{}
  \*1
  \-a{1} \sixt
  \mustextput A {-}{}{zna}{,}
  \*1
  \-a{1} \sixt
  \mustextput A {}{}{ni}{}
  \*1
  \-a{1} \sixt
  \mustextput A {}{}{ró}{}
  \*1
  \-a{1} \sixt
  \mustextput A {-}{}{wni}{}
  \*1
  \-a{1} \sixt
  \mustextput A {-}{}{na}{}
  \*.75
  % ----------------------------------------------------------------------------
  % takt 3
  % ----------------------------------------------------------------------------
  \bar
  \*.5
  \-a1 \sixt
  \mustextput A {--}{}{ta}{}
  {\catcode`\_8 % DAUB. . .
  \CHORD {\textstyle{Cm^{\mkern-2mu7\mkern-2mu}\over E_\flat}}
  }
  \*1
  \-a2 \sixt
  \mustextput A {-}{}{ka}{}
  \*1
  \=a{-3} \eigh
  \mustextput A {}{}{gmi}{}
  \+.25\mushq
  \-a{-4.5} {\hclslurb {dir -60}{tension2.5} a}
  \+-.25\mushq
  \-a{-5} {\hclslurb {dir -50}{tension2.25} b}
  \*1.5
  \=a{-3} \eigh
  \-a{-3} \krop
  \+-.5\mushq
  \-a{-4.5} {\hclslure {dir 45} a}
  \+.5\mushq
  \mustextput A {}{}{-}{}
  \*1.75
  \=a{-2} \sixt
  \mustextput A {}{}{i}{}
  \*.75
  % ----------------------------------------------------------------------------
  % takt 4
  % ----------------------------------------------------------------------------
  \bar
  \*.5
  \+-.75\mushq
  \-a{-2} {\hclslure {dir 50} b}
  \+.75\mushq
  \-a{-1} \eigh
  \mustextput A {-}{}{na}{.}
  \+1\mushq
  \CHORD {D^{7\mkern-3.5mu/\mkern-2mu4}}
  \+1.5\mushq
  \-a {9.4} {\musverb} % DAUB
  \+-1.5\mushq
  \*{.75}
  \museighr a
  \*.72
  \musquatr a
  \+-.4\mushq
  \-a {9.4} {\musvere{}{}}
  \+.4\mushq
  \CHORD {{}^{3}}
  \*1.2
%JPCEND amus: OBJECT VALUE
%JPCBEGIN amus: OBJECT INFO
filename=LG-xvc-01-Taka_gmina.pdf;
title=sł. J. Przybora, muz. J.Wasowski, „Taka Gmina”, takty 1–4, opr. J. Derfel;
%JPCEND amus: OBJECT INFO
'''
}
dziecie = {
'type': 'lg',
'value': ur'''
%JPCBEGIN amus: OBJECT PROLOG
  %! example prolog for vocal and piano
  \input mus-pro-xvp
  \musdefscore {\\g\mussize\+{20\musunit}\\r\mussize\+{16\musunit}\\l\mussize}%
  \musbars{\\lr\\gg}
  \musclefs{\-g0\treble \-r0\treble \-l0\bass}
  \musaccolades{\-l0{\llap{\musvmoust lr\kern.5\mushq}}}
  \musaccidentals{\-g4\bem  \- r4\bem \-l2\bem}
  \def\musvpcen#1{\-r0{\vboxb {musvspcen}} \-l8{\vboxe{\vss\offinterlineskip#1\vss}{musvspcen}}}
%JPCEND amus: OBJECT PROLOG
%JPCBEGIN amus: OBJECT VALUE
  % ----------------------------------------------------------------------------
  %! sł. J. Przybora, muz. J.Wasowski, „Dziecię tkaczy”, takty 1–5
  % ----------------------------------------------------------------------------
  % takt 1
  % ----------------------------------------------------------------------------
  \-g6    {\muscyf 2}%
  \-g2    {\muscyf 4}%
  \musvpcen {\vbox{%
      \muslap{\muscyf 2}%
      \musvspace{4}% odległość między g2 a g6
      \muslap{\muscyf 4}%
  }}
  \+3.5\mushq            % odstęp ,,sztywny''
  \- g{12}    {\muslap{\musoverfont Tempo polki}}%
  \*.5                   % odstęp ,,rozciągliwy''
  \- g4       {\muscenb{p}} % początek obszaru ,,p''
  \= r{13}    \quatd     % ćwiartka z igłą w dół
  \- r{15}    \musminus  % akcent nad ćwiartką
  \- r{13}    \kasn      % kasownik w nawiasach
  \= r6       \quatd     % ćwiartka z igłą w dół
  \- r6       \bemol     % bemol przed ćwiartką
  \musforte              % oznaczenie forte
  \- l{12}    \musminus  % akcent nad ćwiartką
  \= l{10}    \quatd     % ćwiartka z igłą w dół
  \*2.5                  % odstęp ,,rozciągliwy''
  \- g4       {\muscene{\halfr}{p}}% koniec obszaru ,,p''
                         % i umieszczenie półpauzy w centrum obszaru ,,p''
  \= r{13}    \quatd     % ćwiartka z igłą w dół
  \- r{15}    \musminus  % akcent nad ćwiartką
  \= r6       \quatd     % ćwiartka z igłą w dół
  \- l{12}    \musminus  % akcent nad ćwiartką
  \= l{10}    \quatd     % ćwiartka z igłą w dół
  \*2                    % odstęp ,,rozciągliwy''
  \bar
  % ----------------------------------------------------------------------------
  % takt 2
  % ----------------------------------------------------------------------------
  \-g4        {\muscenb{p}}
  \*1.5
  \= r{13}    \quatd
  \- r{15}    \musminus
  \= r6       \quatd
  \- r6       \bemol
  \= l{10}    \quatd
  \- l{12}    \musminus
  \*3
  \musquatr r
  \musvpcen{\diminb{diminuedo}}
  \= l3       {\belkab * 0 0 0 j}
  \- l1       {\hclslurb{dir -45}{tension1.75}1}
  \- l{-2}    \musakc
  \*2
  \= l2       {\belkae * + {6}{5} j}
  \*1.5
  %\- g4       {\muscene {\pca}{p}}
  \- g4       {\muscene {\halfr}{p}} % Krzyś H.
  \bar
  % ----------------------------------------------------------------------------
  % takt 3
  % ----------------------------------------------------------------------------
  \*1
  \musvpcen{\dimine{diminuedo}}
  \*.5
  \= g{-2}    \eigh
  \mustextput A {}{1. }{Ta}{}
  \= r{-2}    {\belkab * 0 0 0 j}
  \- r{-4}    {\slub - 2}
  \= l1       \eigh
  \- l{-1}    {\hclslure{dir 40}1}
  \*1
  % \musvptdyn  {\r{.5\h}{\musmp}}% NOT TO BE SHOWN
  \musmezzopiano
  %
  \*1
  \= g1       \eigh
  \mustextput A {\mushyphen}{}{ta}{}
  \= r1       {\belkae * + {6}{9} j}
  \- r{-1}    {\slue 2}
  \museighr l
  \*2
  \= g1       \eigh
  \mustextput A {}{}{z ma}{}
  \= r1       {\belkab * 0 0 0 j}
  \= l{-1}    \eigh
  \*2
  \= g1       \eigh
  \mustextput A {\mushyphen}{}{mą}{}
  \= r1       {\belkae * + {6}{6} j}
  \museighr l
  \*1.5
  \bar
  % ----------------------------------------------------------------------------
  % takt 4
  % ----------------------------------------------------------------------------
  \*1.5
  \= g0       \eigh
  \mustextput A {}{}{w do}{}
  \- r{9}     \musumordent
  \= r0       {\belkab * 0 0 0 j}
  \- r{-2}    {\slub - 1}
  \= l2       \eigh
  \*2
  \= g{-1}    \eigh
  \mustextput A {\mushyphen}{}{mku}{}
  \= r{-1}    {\belkae * + {6}{5} j}
  \- r{-3}    {\slue 1}
  \museighr l
  \*2
  \= g2       \eigh
  \mustextput A {}{}{na}{}
  \= r2       {\belkab * 0 0 0 j}
  \- r0       {\slub - 1}
  \= l0       \eigh
  \*2
  \= g1       \eigh
  \mustextput A {\mushyphen}{}{szym}{,}
  \= r1       {\belkae * + {6}{5} j}
  \- r{-1}    {\slue 1}
  \museighr l
  \*1.5
  \bar
  % ----------------------------------------------------------------------------
  % takt 5
  % ----------------------------------------------------------------------------
  \*1.5
  \= g{-1}    \eigh
  \- g{-1}    \sharp
  \mustextput A {}{}{by}{}
  \= r{-1}    {\belkab * 0 0 0 j}
  \- r{-1}    \sharp
  \- r{-3}    {\slub - 1}
  \= l3       \eigh
  \*2
  \= g0       \eigh
  \mustextput A {}{}{do}{}
  \= r0       {\belkae * + {6}{7} j}
  \- r{-2}    {\slue 1}
  \museighr l
  \*2
  \= g6       \eighd
  \mustextput A {\mushyphen}{}{bro}{}
  \= r6       \quatd
  \= r4       {\belkab * 0 0 0 j}
  \= l5       \eighd
  \*2
  \= g6       \eighd
  \mustextput A {\mushyphen}{}{byt}{}
  \= r6       \quatd
  \= r4       {\belkae * - {-6}{-6} j}
  \museighr l
  \*1.5
  % ----------------------------------------------------------------------------
%JPCEND amus: OBJECT VALUE
%JPCBEGIN amus: OBJECT INFO
filename=LG-xvp-01-Dziecie_tkaczy.pdf;
title=sł. J. Przybora, muz. J.Wasowski, „Dziecię tkaczy”, takty 1–5
%JPCEND amus: OBJECT INFO
'''
}
embarras = {
'type': 'lg',
'value': ur'''
%JPCBEGIN amus: OBJECT PROLOG
  %! example prolog for vocal and piano
  \input mus-pro-xvp
  \musdefscore{\\g\mussize\+{24\musunit}\\r\mussize\+{18\musunit}\\l\mussize}
  \musbars{\\lr\\gg}
  \musclefs{\-g0\treble \- r0\treble\- l0\bass}
  \musaccolades{\-l0{\llap{\musvmoust lr\kern.5\mushq}}}
  \musaccidentals{\-g8\krz \-r8\krz \-l6\krz}
  \def\musvpcen#1{\-r0{\vboxb {musvspcen}} \-l8{\vboxe{\vss\offinterlineskip#1\vss}{musvspcen}}}
%JPCEND amus: OBJECT PROLOG
%JPCBEGIN amus: OBJECT VALUE
  % ----------------------------------------------------------------------------
  %! sł. J. Przybora, muz. J.Wasowski, „Embarras”, takty 1–6
  % ----------------------------------------------------------------------------
  % takt 1
  % ----------------------------------------------------------------------------
  \+-\h % zaczynamy trochę wcześniej niż systemy bez rytmu
  \-g6    {\muscyf 3}%
  \-g2    {\muscyf 4}%
  \musvpcen {\vbox{%
      \muslap{\muscyf 3}%
      \musvspace{4}% odległość między g2 a g6
      \muslap{\muscyf 4}%
  }}
  \+3.5\mushq            % odstęp ,,sztywny''
  \-g{11}    {\r{-.4\h}{\musoverfont Tempo di valse}}
  % \+2.5\h
  \- r{-3}    {\mussquareb x}
  \- l3       {\mussquaree x}
  \+1.5\h
  \= g{-3}    \half
  \mustextput A {}{}{Se}{}
  \= r{-4}    \halfd
  \- r{-5}    {\r{.6\h}\kro}
  \- r{-6}    {\r{.5\h}{\hclslurb{dir -35}{tension1.5}g}}
  \= l4       \quat
  \= l0       \quatd
  \+1.5\h
  \= r{-3}    \half
  \+-1.5\h
  \* 2
  \- l5       {\r\h{\hclslurb{dir 35}{tension 1.25}d}}
  \= l4       \half
  \- l{-3}    \quatr
  \* 2
  \= g{-3}    \quat
  \mustextput A {-}{}{rce}{}
  \= r{-3}    \quat
  \- l{-3}    \quatr
  \* 1.5
  % ----------------------------------------------------------------------------
  % takt 2
  % ----------------------------------------------------------------------------
  \bar
  \* 1.5
  \= g{-3}    \quat
  \mustextput A {}{}{tak}{}
  \- r{-6}    {\l\h{\hclslure{}g}}
  \= r{-4}    \halfd
  \= r{-5}    {\r{.6\h}\kro}
  \- l4       \half
  \- l5       \krop
  \- l5       {\l{.8\h}{\hclslure{}d}}
  \- l0       \quatd
  \+1.5\h
  \= r{-3}    \quat
  \+-1.5\h
  \* 2
  \= g{-3}    \quat
  \mustextput A {}{}{mi}{}
  \+.75\h
  \= r{-3}    \quat
  \+-.75\h
  \- l{-3}    \quatr
  \* 2
  \= g{-3}    \quat
  \mustextput A {}{}{za}{}
  \= r{-3}    \quat
  \- l{-3}    \quatr
  \* 1.5
  % ----------------------------------------------------------------------------
  % takt 3
  % ----------------------------------------------------------------------------
  \bar
  \* 1.5
  \= g{-3}    \quat
  \mustextput A {-}{}{bi}{}
  \= r{-4}    \halfd
  %\= r{-5}    \krop
  \= r{-5}    {\r{.6\h}\kro}
  \- r{-6}    {\r{.5\h}{\hclslurb{dir -35}{tension1.5}d}}
  \- l6       \half
  \- l0       \quatd
  \+1.5\h
  \= r{-3}    \quat
  \+-1.5\h
  \* 2
  \= g{-3}    \quat
  \mustextput A {-}{}{ło},
  \+.75\h
  \= r{-3}    \half
  \- r{-1}    {\r{.8\h}{\hclslurb{dir 35}{tension1.5}g}}
  \+-.75\h
  \- l{-3}    \quatr
  \* 2
  \- g3       \quatr
  \- l6       \quat
  \- l{-3}    \quatr
  \* 1.5
  % ----------------------------------------------------------------------------
  % takt 4
  % ----------------------------------------------------------------------------
  \bar
  \* 1.5
  \= r{-4}    \halfd
  \= r{-5}    {\r{.6\h}\kro}
  \- r{-6}    {\l\h{\hclslure{}d}}
  \- g3       \quatr
  \+1.5\h
  \- r{-1}    {\l{.3\h}{\hclslure{}g}}
  \= r{-3}    \quat
  \+-1.5\h
  \- l6       \half
  \- l7       \krop
  \- l6       {\l\h\kas}
  \- l0       \quatd
  \* 2
  \= g{-3}    \quat
  \mustextput A {}{}{za}{}
  \+.75\h
  \= r{-3}    \quat
  \+-.75\h
  \- l{-3}    \quatr
  \* 2
  \= g{-3}    \quat
  \mustextput A {-}{}{ko}{}
  \= r{-3}    \quat
  \- l{-3}    \quatr
  \* 1.5
  % ----------------------------------------------------------------------------
  % takt 5
  % ----------------------------------------------------------------------------
  \bar
  \* 1.5
  \= g{-3}    \quat
  \mustextput A {-}{}{ły}{}
  \= r{-3}    \quat
  \- l7       {\r\h{\hclslurb{dir 35}{tension1.5}g}}
  \- l5       \half
  \- l5       \krop
  \- l0       \quatd
  \* 2
  \= g{-4}    \quat
  \mustextput A {-}{}{sał}{}
  \= r{-4}    \quat
  \- l{-3}    \quatr
  \* 2
  \= g{-4}    \quat
  \mustextput A {}{}{się}{}
  \= r{-4}    \quat
  \- l{-3}    \quatr
  \* 1.5
  % ----------------------------------------------------------------------------
  % takt 6
  % ----------------------------------------------------------------------------
  \bar
  \* 1.5
  \= g{-4}    \quat
  \mustextput A {}{}{bal}{.\kern.1em.\kern.1em.}
  \= r{-4}    \half
  \= r{-3}    \krop
  \- r{-10}    \quatr
  \- l7       {\l{.3\h}{\hclslure{} g}}
  \- l7       {\r\h{\hclslurb{dir 35}{tension1.5}g}}
  \- l5       \half
  \- l5       \krop
  \- l0       \quatd
  \* 2
  \- g3       \quatr
  \= r{-5}    \quatd
  \- l{-3}    \quatr
  \* 2
  \- g3       \quatr
  \= r{-5}    \quatd
  \- l{-3}    \quatr
  \* 1.5
  \+-.5\mushq
  \- l7       {\hclslure{}g}
  \+.5\mushq
%JPCEND amus: OBJECT VALUE
%JPCBEGIN amus: OBJECT INFO
filename=LG-xvp-02-Embarras.pdf;
title=sł. J. Przybora, muz. J.Wasowski, „Embarras”, takty 1–6;
%JPCEND amus: OBJECT INFO
'''
}
examples = [
    sultan,
    nokturn,
    preludium,
    gmina,
    dziecie,
    embarras,
]