#!/usr/bin/env python
# -*- coding: utf-8 -*-

import gtk
import color
class Label(gtk.Label):
    def __init__(self):
        gtk.Label.__init__(self)
        self.set_justify
    def set_justify(self, s):
        gtk.Label.set_justify(self, self.just[s])
    just = {
        'l': gtk.JUSTIFY_LEFT,
        'c': gtk.JUSTIFY_CENTER,
        'r': gtk.JUSTIFY_RIGHT,
    }
    def set_alignment(self, xalign, yalign):
        gtk.Label.set_alignment(self, xalign, yalign)
    def set_bg_color(self, par):
        cob = color.ColorRGB()
        cob.from_tv(par)
        c = cob.to_long()
        self.modify_bg(gtk.STATE_NORMAL, gtk.gdk.Color(*c))
    def change(self, s):
        self.set_text(s)
        self.show()
        return self
class LabelE(gtk.EventBox):
    def __init__(self):
        gtk.EventBox.__init__(self)
        self.label = Label()
        self.add(self.label)
        self.show()
        self.label.show()
    def set_text(self, s):
        self.label.set_text(s)
    def set_justify(self, s):
        self.label.set_justify(self.label.just[s])
    def set_alignment(self, xalign, yalign):
        self.label.set_alignment(xalign, yalign)
    def set_bg_color(self, par):
        cob = color.ColorRGB()
        cob.from_tv(par)
        c = cob.to_long()
        self.modify_bg(gtk.STATE_NORMAL, gtk.gdk.Color(*c))
    def change(self, s):
        self.set_text(s)
        self.show()
        return self
        self.label.change(s)
        return self
default_config = {
    'a': {
        'xalign': 0.5,
        'yalign': 0.5,
        'label': '',
        'bg_color': None,
        },
    'on': {},
    'm': {}
}
def eval(ev, par):
    a = {}
    try:
        a.update(default_config['a'])
    except KeyError:
        pass
    try:
        a.update(par['a'])
    except KeyError:
        pass
    w = LabelE()
    w.set_alignment(a['xalign'], a['yalign'])
    w.set_text(a['label'])
    if 'size' in a:
        w.set_size_request(a['size']['x'], a['size']['y'])
    if 'bg_color' in a and a['bg_color'] is not None:
        w.set_bg_color(a['bg_color'])
    w.show()
    def on(ev, f):
        w.connect(ev, f, w)
    try:
        ons = par['on']
        for k in ons:
            on(k, ons[k])
    except:
        pass
    def change(s):
        w.change(s)
        return w
    def set_bg_color(c):
        w.set_bg_color(c)
        return w
    def set_alignment(x, y):
        w.set_alignment(x, y)
        return w
    res = {
        'widget': w,
        'on': on,
        'm': {
            'change': change,
            'set_value': change,
            'set_alignment': set_alignment,
            'set_bg_color': set_bg_color,
            'set_color': set_bg_color,
            },
    }
    return res
if __name__ == "__main__":
    def main():
        import sensor
        window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        window.set_name("Drawable")
        vbox = gtk.VBox(False, 0)
        window.add(vbox)
        vbox.show()
        window.connect("destroy", lambda w: gtk.main_quit())
        drawing_area = Whiteboard()
        drawing_area.set_size_request(500, 500)
        drawing_area.show()
        vbox.pack_start(drawing_area, True, True, 0)
        center = 200, 200
        radius = 20
        sensor = sensor.RoundSensor(drawing_area, cairo.Matrix(), center, radius)
        drawing_area.sensors.append(sensor)
        button = gtk.Button("Quit")
        vbox.pack_start(button, False, False, 0)
        button.connect_object("clicked", lambda w: w.destroy(), window)
        button.show()
        status = Statusbar()
        vbox.pack_start(status, False, False, 0)
        status.show()
        drawing_area.status = status
        window.set_position(gtk.WIN_POS_CENTER)
        window.show()
        gtk.main()
        return 0
    main()