#!/usr/bin/env python
# -*- coding: utf-8 -*-

def tp(s):
    pass
def mkdir(d):
    try:
        os.mkdir(d)
    except OSError, err:
        if err.errno != errno.EEXIST:
            raise
def makedirs(d):
    try:
        os.makedirs(d)
    except OSError, err:
        if err.errno != errno.EEXIST:
            raise
def move(source, dest):
    if os.path.exists(dest):
        os.remove(dest)
    shutil.move(source, dest)
def remove(path):
    if os.path.exists(path):
        os.remove(path)
def pdf2png(pdf, png, resol=None, first=None, last=None):
    if resol is None:
        resol = 240
    first_list = ['-dFirstPage=' + str(first)] if first is not None else []
    last_list = ['-dLastPage=' + str(last)] if last is not None else []
    dev_null = open('/dev/null', 'w')
    subprocess.call([
        'gs',
        '-SAFER',
        '-dBATCH',
        '-dNOPAUSE',
        '-sDEVICE=png16m',
        '-r' + str(resol),
        '-dGraphicsAlphaBits=4',
        '-dTextAlphaBits=4',
        '-dMaxStripSize=8192',
        ] + first_list + last_list + [
        '-sOutputFile=' + png,
        pdf,
        'quit.ps',
        ], stdout=dev_null, stderr=dev_null)
def fit_gen(pw, ph, dw, dh, keep_small=True, sharp=False):
    p_prop = float(pw) / float(ph)
    d_prop = float(dw) / float(dh)
    if d_prop > p_prop:
        h = dh
        w = h * p_prop
    else:
        w = dw
        h = w / p_prop
    if keep_small == True:
        if w > pw:
            w, h = pw, ph
    if not sharp:
        w = int(w)
        h = int(h)
    return w, h