#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
import pango
import gtk
pygtk.require('2.0')
if gtk.pygtk_version < (2,7,0):
    print "PyGtk 2.7.0 or later required for this program"
    raise SystemExit
import os
import subprocess
import urllib2
import color
import lib
import uti
import lib
class WMenuBar(gtk.MenuBar):
    def __init__(self):
        gtk.MenuBar.__init__(self)
        self.show()
    def add(self, label, submenu):
        mi = WMenuItem(label)
        mi.set_submenu(submenu)
        self.append(mi)
class WMenu(gtk.Menu):
    def __init__(self):
        gtk.Menu.__init__(self)
        self.show()
    def add(self, label, function):
        mi = WMenuItem(label)
        mi.connect("activate", lambda w: function(w))
        self.append(mi)
    def separator(self):
        sep = gtk.SeparatorMenuItem()
        self.append(sep)
        sep.show()
class WMenuItem(gtk.MenuItem):
    def __init__(self, label=None):
        gtk.MenuItem.__init__(self, label, use_underline=True)
        self.show()
default_config = {
    'a': {
        'menus': {
            'id': '',
            'value': [],
            },
    },
    'on': {},
}
def eval(ev, par):
    a = {}
    try:
        a.update(default_config['a'])
    except:
        pass
    try:
        a.update(par['a'])
    except:
        pass
    w = WMenuBar()
    menus = a['menus']
    for m in menus:
        mlabel, submenus = m
        wm = WMenu()
        for sm in submenus:
            if isinstance(sm, basestring) and sm == 'sep':
                wm.separator()
            elif isinstance(sm, (list, tuple)) and len(sm) == 2:
                slabel, fun = sm
                wm.add(slabel, fun)
            else:
                uti.err('wrong menu item form')
        w.add(mlabel, wm)
    w.show()
    ons = {}
    def on(ev, f):
        w.connect(ev, f, w)
    try:
        ons = par['on']
        for k in ons:
            on(k, ons[k])
    except:
        pass
    def read(name):
        w.read(name)
        return w
    res = {
        'widget': w,
        'on': ons,
        'm': {'read': read},
    }
    return res
def menu_eval(j):
    pass