#!/usr/bin/env python
# -*- coding: utf-8 -*-

import gtk
class Statusbar(gtk.Statusbar):
    def __init__(self):
        gtk.Statusbar.__init__(self)
        self.message_number = 0
    def change(self, s):
        self.message_number += 1
        context_description = u"the context number " + str(self.message_number)
        self.context_id = self.get_context_id(context_description)
        message_id = self.push(self.context_id, s)
        self.show()
        return self
default_config = {
    'a': {
        'has_resize_grip': True,
    },
    'on': {},
    'm': {}
}
def eval(ev, par):
    a = {}
    try:
        a.update(default_config['a'])
    except KeyError:
        pass
    try:
        a.update(par['a'])
    except KeyError:
        pass
    w = Statusbar()
    w.set_has_resize_grip(a['has_resize_grip'])
    w.show()
    ons = {}
    def on(ev, f):
        w.connect(ev, f, w)
    try:
        ons = par['on']
        for k in ons:
            on(k, ons[k])
    except:
        pass
    def change(s):
        w.change(s)
        return w
    res = {
        'widget': w,
        'on': ons,
        'm': {
            'change': change,
            'set_value': change,
            },
    }
    return res
if __name__ == "__main__":
    def main():
        import sensor
        window = gtk.Window(gtk.WINDOW_TOPLEVEL)
        window.set_name("Drawable")
        vbox = gtk.VBox(False, 0)
        window.add(vbox)
        vbox.show()
        window.connect("destroy", lambda w: gtk.main_quit())
        drawing_area = Whiteboard()
        drawing_area.set_size_request(500, 500)
        drawing_area.show()
        vbox.pack_start(drawing_area, True, True, 0)
        center = 200, 200
        radius = 20
        sensor = sensor.RoundSensor(drawing_area, cairo.Matrix(), center, radius)
        drawing_area.sensors.append(sensor)
        button = gtk.Button("Quit")
        vbox.pack_start(button, False, False, 0)
        button.connect_object("clicked", lambda w: w.destroy(), window)
        button.show()
        status = Statusbar()
        vbox.pack_start(status, False, False, 0)
        status.show()
        drawing_area.status = status
        window.set_position(gtk.WIN_POS_CENTER)
        window.show()
        gtk.main()
        return 0
    main()