#!/usr/bin/env python
# -*- coding: utf-8 -*-

class ColorRGB(object):
    def from_bytes(self, r, g, b):
        self.r, self.g, self.b = r / 255.0, g / 255.0, b / 255.0
        return self
    def from_string(self, s):
        pass
        return self
    def from_fractions(self, r, g, b):
        self.r, self.g, self.b = float(r), float(g), float(b)
        return self
    def from_long(self, r, g, b):
        self.r, self.g, self.b = r / 65535.0, g / 65535.0, b / 65535.0
        return self
    def from_tv(self, p):
        t, v = p
        if t == 'bytes':
            self.from_bytes(*v),
        elif t == 'string':
            self.from_string(v),
        elif t == 'fractions':
            self.from_fractions(*v),
        elif t == 'long':
            self.from_long(*v),
        return self
    def to_long(self):
        return int(self.r * 65535), int(self.g * 65535), int(self.b * 65535)