#!/usr/bin/env python
# -*- coding: utf-8 -*-

def fit_rectangle(pw, ph, dw, dh, keep_small=True, sharp=False):
    p_prop = float(pw) / float(ph)
    d_prop = float(dw) / float(dh)
    if d_prop > p_prop:
        h = dh
        w = h * p_prop
    else:
        w = dw
        h = w / p_prop
    if keep_small == True:
        if w > pw:
            w, h = pw, ph
    if not sharp:
        w = int(w)
        h = int(h)
    return w, h