#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import subprocess
import re
import tempfile
import math
import gtk
import string
import uti
import color
cache = {}
cache['svg'] = 'cache_kaliope/svg'
def pdf_to_svg_string(par):
    if 'mixer' not in par:
        if 'dir' in par:
            mixer = par['dir']
        else:
            mixer = None
    else:
        mixer = par['mixer']
    last_dir = os.getcwd()    
    os.chdir(mixer)
    if 'page' not in par:
        page = 1
    else:
        page = par['page']
    if 'dir' in par:
        filename = os.path.join(last_dir, os.path.join(par['dir'], par['fn']))
    else:
        filename = os.path.join(last_dir, par['fn'])
    fbas = os.path.basename(par['fn'])
    fb, ext = os.path.splitext(fbas)
    sfilebare = fb + '_' + ('%05d' % page)
    sfilename = sfilebare +  '.svg'
    sfilefull = sfilename
    dev_null = open(os.devnull, 'w')
    sofilname = sfilebare + os.extsep + 'out'
    erfilname = sfilebare + os.extsep + 'err'
    sofil = open(sofilname, 'w')
    eofil = open(erfilname, 'w')
    cl = ['pdf2svg', filename, sfilefull, str(page)]
    subprocess.call(cl, shell=False, stdout=sofil, stderr=eofil)
    svg_string = open(sfilefull, 'r').read()
    res = {
        'svg_string': svg_string,
    }
    os.chdir(last_dir)
    return res
def mk_svg_viewer(p):
    default = {
        't': 'whiteboard',
        'a': {
        },
        'on': {},
        'm': {
        }
    }
    par = uti.sub_update(default, p)
    return par
def mk_pdf_viewer(par):
    mixer_dir = cache['svg']
    last_dir = os.getcwd()    
    os.chdir(mixer_dir)
    print 'startujemy z viewerem pdf-ów'
    if 'page' not in par:
        page = 1
    else:
        page = par['page']
    if 'dir' in par:
        filename = os.path.join(par['dir'], par['fn'])
    else:
        filename = par['fn']
    fbas = os.path.basename(par['fn'])
    fb, ext = os.path.splitext(fbas)
    sfilebare = fb + '_' + ('%05d' % page)
    sfilename = sfilebare +  '.svg'
    sfilefull = os.path.join(cache['svg'], sfilename)
    print 'and the svg filename will be', sfilefull
    dev_null = open(os.devnull, 'w')
    sofilname = sfilebare + os.extsep + 'out'
    erfilname = sfilebare + os.extsep + 'err'
    sofil = open(sofilname, 'w')
    eofil = open(erfilname, 'w')
    print 'pdf filename to be:', filename
    cl = ['pdf2svg', filename, sfilefull, str(page)]
    subprocess.call(cl, shell=False, stdout=sofil, stderr=eofil)
    os.chdir(last_dir)
def fool():    
    res = {
        't': 'whiteboard',
        'a': {
            'filename': sfilefull,
            'svg_bg': ['bytes', [1.0, 1.0, 1.0]],
        },
        'on': {},
        'm': {
        }
    }
polish_lowercase = u'ąćęłńóśźż'
polish_uppercase = polish_lowercase.upper()
polish_letters = polish_lowercase + polish_uppercase
letters = string.letters + polish_letters
def string_to_json(s):
    sl = s.splitlines()
    sl = [s.strip() for s in sl]
    d = {}
    pattern = r'^\s*([' + letters + r'\s\_]+)\s*\=\s*(\d+(?:[\.,]\d+)?)\s*([' + string.letters + r']{2}|\%)?$'
    for s in sl:
        mo = re.search(pattern, s)
        if mo:
            n = re.sub(r',', '.', mo.group(2))
            ok = False
            try:
                n = int(n)
                ok = True
            except:
                try:
                    n = float(n)
                    ok = True
                except:
                    ok = False
            k = (mo.group(1)).strip()
            k = re.sub(r"\s+", " ", k)
            if mo.group(3) is not None:
                u = (mo.group(3)).lower()
                d[k] = (n, u)
            else:
                d[k] = n
        else:
            pass
    return d
def png_c2b(self, ifil):
    """convert color png image in ifil file
    to black and white of the same size (no dithering)
    return pair: pil_image, filename"""
    im = self.open_pil_png_image(ifil)
    oout = im.convert("L")
    ooout = oout.point(lambda i: 0 if i<127 else 255)
    fool, ofil = mkstemp(".png", "homer.")
    ooout.save(ofil)
    return ooout, ofil
def png_c2b(self, ifil):
    """convert color png image in ifil file
    to black and white of the same size (no dithering)
    return pair: pil_image, filename"""
    im = self.open_pil_png_image(ifil)
    oout = im.convert("L")
    ooout = oout.point(lambda i: 0 if i<127 else 255)
    fool, ofil = mkstemp(".png", "homer.")
    ooout.save(ofil)
    return ooout, ofil
def png_b2s(self, ifil):
    """convert black and white png image to
    its small version of size restricted
    to number of pixels of Everest embosser"""
    smallim = self.open_pil_png_image(ifil)
    filter=Image.NEAREST
    size=(150, 150)
    smallim.thumbnail(size, filter)
    out = smallim.point(lambda i: 0 if i<127 else 255)
    bitim=smallim.convert("1")
    fool, ofil = mkstemp(".png", "homer.")
    bitim.save(ofil)
    return bitim, ofil
def png_s2e(self, ifil):
    """convert black and white small png image to
    its presentation version, simulating
    Everest embosser file"""
    im = Image.open(ifil)
    b_char = CharB(im)
    fool, ofil = mkstemp(".png", "homer.")
    b_char.png_write(ofil)
    return im, ofil
def prepare_files_from_png(self, filename):
    ooout, self.b_file_name = self.png_c2b(filename)
    ooout, self.s_file_name = self.png_b2s(self.b_file_name)
    ooout, self.e_file_name = self.png_s2e(self.s_file_name)
def open_pil_png_image(self, ifilname):
    try:
        im = Image.open(ifilname)
    except IOError:
        print u"Nie mogę otworzyć pliku: ", ifilname
    return im
def SaveEmbosserFile(self, img, ofilname):
    gri = EmbImage(img)
    ps = gri.GetPrinterStr(2.0)
    hexn=ofilname
    if os.access(hexn, os.F_OK):
        os.remove(hexn)
    else:
        pass
    hexf=os.open(hexn, os.O_WRONLY | os.O_CREAT, 0660)
    os.write(hexf, ps)
    os.close(hexf)
def SaveEverestFile(self):
    sd=HgrFileDialog()
    evgfil = sd.save_evg()
    im = self.open_pil_png_image(self.s_file_name)
    self.SaveEmbosserFile(im, evgfil)
def bitmap_to_embosser(bitmap):
    dot_distance = 2.5
    emb = Embosser(bitmap)
    embosser_file = emb.embosser_string(dot_distance)
    return embosser_file
class Embosser(object):
    def __init__(self, bitmap):
        self.from_bitmap(bitmap)
    def from_bitmap(self, bitmap):
        self.w = bitmap['w']
        self.h = bitmap['h']
        self.bits = bitmap['value']
    white=255
    black=0
    def embosser_string(self, distance):
        w, h = self.w, self.h
        kt = []
        for x in range(0, w):
            col = []
            for y in range(0, h):
                col.append(self.bits[y][x])
            kt.append(col)
        sl = self.SliceList(kt, self.needleh)
        cl = self.CodeList(sl)
        grstr = ''
        for r in cl:
            for code in r:
                grstr += chr(code)
            grstr += chr(0x0d)# cr
            grstr += chr(0x0a)# lf
        preamble = ''
        preamble += chr(0x1b) + chr(0x44)
        preamble += 'GD' # graphic dot distance
        if distance == 2.0:
            distbyte = '0'
        else:
            if distance == 2.5:
                distbyte = '1'
            else:
                if distance == 1.6:
                    distbyte = '2'
                else:
                    pass
        preamble += distbyte # just calculated
        preamble += ';'
        preamble += chr(0x1b) + chr(0x35)
        preamble += chr(0x1b) + chr(0x07)
        postamble = ''
        postamble += chr(0x1b) + chr(0x06)
        postamble += chr(0x0c)
        printerstr = preamble + grstr + postamble
        return printerstr
    needleh = 4
    def filled_slice(self, list, start, length, new_elem):
        nl = list[start:start+length]
        if len(nl)<length:
            nl.extend([new_elem] * (length-len(nl)))
        return nl
    def Slice(self, kt, y, dy):
        return [self.filled_slice(object, y, dy, self.white) for object in kt]
    def SliceList(self, kt, dy):
        sl = []
        for y in range(0, len(kt[0]), dy):
            sl.append(self.Slice(kt, y, dy))
        return sl
    def CodeList(self, sl):
        cl = []
        for s in sl:
            row = []
            for col in s:
                code = 0
                nee = col
                nee.reverse()
                for bit in nee:
                    if bit == self.white:
                        bbit=0
                    else:
                        bbit=1
                    code = code * 2 + bbit
                code += 0x40
                row.append(code)
            cl.append(row)
        return cl
class Char:
    """draw a bitmap and svg character of a given dimensions
    in unnamed units
    possibly create a bitmap of those dimensions
    create a downscaled bitmap
    create a downscaled and upscaled bitmap
    create an svg file
    """
    def __init__(self, par):
        self.width=par['width']
        self.height=par['height']
        self.par=par
    def draw(self, context):
        """apply all the cairo operations to create
        the character on a predefined context
        with the dimensions being attributes of the class"""
        pass
    def png_write(self, filename):
        surface = cairo.ImageSurface(cairo.FORMAT_RGB24, self.width, self.height)
        cr = cairo.Context(surface)
        self.draw(cr)
        surface.write_to_png(filename)
    def svg_write(self, filename):
        surface = cairo.SVGSurface(filename, self.width, self.height)
        cr = cairo.Context(surface)
        self.draw(cr)
    def png_scale(self, max_size, ifil, ofil):
        os.system("convert " +ifil+" +dither -colors 2 -resize "+str(max_size)+" "+ofil)
class CharB(Char):
    """draw and save a character based on a 
    iw, ih -- dimensions of input image
    ow, oh -- dimensions of output image
    """
    def __init__(self, img):
        self.img = img
        self.iw, self.ih = self.img.size
        self.scale = 5
        self.ow = self.iw * self.scale
        self.oh = self.ih * self.scale
        p = {"width": self.ow, "height": self.oh}
        Char.__init__(self, p)
    white=255
    black=0
    def draw(self, cr):
        iw, ih = self.iw, self.ih
        cr.rectangle(0, 0, self.ow, self.oh)
        cr.set_source_rgb(1, 1, 1)
        cr.fill()
        cr.translate(0.5, 0.5)
        cr.scale(self.scale, self.scale)
        for x in range(0, iw):
            for y in range(0, ih):
                if self.img.getpixel((x, y))>128:
                    self.draw_white_pixel(cr, x, y)
                else:
                    self.draw_black_pixel(cr, x, y)
    def draw_black_pixel(self, cr, x, y):
        cr.set_source_rgb(0.0, 0.0, 0.0)
        radius = .45
        cr.arc(x+.5, y+.5, radius, 0, 2*pi)
        cr.fill()
    def draw_white_pixel(self, cr, x, y):
        cr.set_source_rgb(0.95, 0.95, 0.95)
        radius = .45
        cr.arc(x+.5, y+.5, radius, 0, 2*pi)
        cr.fill()
def mk_draw_braille():
    white = 255
    black = 0
    color_light = ['bytes', [230, 230, 230]]
    color_dark = ['bytes', [20, 20, 20]]
    col = color.ColorRGB().from_tv(color_light)
    color_light_value = [col.r, col.b, col.b]
    col = color.ColorRGB().from_tv(color_dark)
    color_dark_value = [col.r, col.b, col.b]
    default = {
        'scale': 5,
        'w': 9,
        'h': 9,
        'value': [
            [1, 1, 1, 0, 1, 1, 0, 1, 1, ],
            [1, 1, 1, 1, 0, 1, 1, 0, 1, ],
            [1, 1, 0, 1, 1, 0, 1, 1, 0, ],
            [0, 1, 1, 0, 1, 1, 0, 1, 1, ],
            [1, 0, 1, 1, 0, 1, 1, 0, 1, ],
            [1, 1, 0, 1, 1, 0, 1, 1, 0, ],
            [0, 1, 1, 0, 1, 1, 0, 1, 1, ],
            [1, 0, 1, 1, 0, 1, 1, 0, 1, ],
            [1, 1, 0, 1, 1, 0, 1, 1, 0, ],
        ],
    }
    default = {
        'w': 2,
        'h': 1,
        'value': [[1, 0]],
        'scale': 15,
    }
    default = {
        'w': 0,
        'h': 0,
        'value': [],
        'scale': 15,
    }
    priv = {}
    def set_par(par):
        p = uti.sub_update(default, par)
        priv['scale'] = p['scale']
        priv['value'] = p['value']
        priv['w'] = p['w']
        priv['h'] = p['h']
        priv['ow'] = priv['w'] * priv['scale']
        priv['oh'] = priv['h'] * priv['scale']
    def draw(cr):
        iw, ih = priv['w'], priv['h']
        cr.rectangle(0, 0, priv['ow'], priv['oh'])
        cr.set_source_rgb(1, 1, 1)
        cr.fill()
        cr.translate(0.5, 0.5)
        cr.scale(priv['scale'], priv['scale'])
        for y in range(0, priv['h']):
            for x in range(0, priv['w']):
                if priv['value'][y][x]:
                    draw_pixel(cr, x, y, color_dark_value)
                else:
                    draw_pixel(cr, x, y, color_light_value)
        return {'ow': priv['ow'], 'oh': priv['oh']}
    def draw_pixel(cr, x, y, color_value):
        cr.set_source_rgb(*color_value)
        radius = .45
        cr.arc(x + .5, y + .5, radius, 0, 2 * math.pi)
        cr.fill()
    def draw_white_pixelX(cr, x, y):
        cr.set_source_rgb(0.95, 0.95, 0.95)
        radius = .45
        cr.arc(x + .5, y + .5, radius, 0, 2 * math.pi)
        cr.fill()
    set_par(default)
    res = {
        'draw': draw,
        'set_par': set_par,
    }
    return res
if __name__ == '__main__':
    s =u'''#xsize = 290
xframesize = 1500
    yframesize  =  1000
  leftmar = 20
rightmar=20
topmar=20
botmar=60
strona = 1
   margines_górny = 60
margines_dolny = 60
rozmiar   poziomy = 64
rozmiar pionowy = 100
rozmiara pionowa = 100,0
rozmiara pionowora = 100,0 mm
i coś tam jeszcze = 99,0 %
'''
    d = string_to_json(s)
    bitmap = {u'h': 30, u'w': 30, u'value': [
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1, 1],
        [0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0],
        [0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0],
        [0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0],
        [1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0]]}
    embosser_file = bitmap_to_embosser(bitmap)
    open('zzz_test.ebr', 'wb').write(embosser_file)