#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
import pango
import gtk
pygtk.require('2.0')
if gtk.pygtk_version < (2,7,0):
    print "PyGtk 2.7.0 or later required for this program"
    raise SystemExit
import os
import keyboard
class Notebook(gtk.Notebook):
    def __init__(self):
        gtk.Notebook.__init__(self)
        self.set_tab_pos(gtk.POS_TOP)
        self.show()
        self.add_events(gtk.gdk.KEY_PRESS_MASK)
        self.add_events(gtk.gdk.KEY_RELEASE_MASK)
        self.connect("key_press_event", self.key_press_event)
        self.connect("key_release_event", self.key_release_event)
    def append(self, widget, label_text):
        l = gtk.Label(label_text)
        self.append_page(widget, l)
    def key_press_event(self, widget, event):
        if 0:
            r = self.key_process['key_press'](event)
            program = r['program']
            for x in program:
                c, p = x
                if c == 'insert':
                    self.textbuffer.insert_at_cursor(p)
                else:
                    pass
            res = r['done']
            return res
    def key_release_event(self, widget, event):
        if 0:
            r = self.key_process['key_release'](event)
            program = r['program']
            for x in program:
                c, p = x
                if c == 'insert':
                    self.textbuffer.insert_at_cursor(p)
                else:
                    pass
            res = r['done']
            return res
if 0:
    class GraphNotebookX(WNotebook):
        def __init__(self):
            WNotebook.__init__(self)
        def add(self, filename, label):
            swr = ScrolledWindowWithRulers()
            swr.create(filename)
            self.append(swr.table, label)
default_config = {
    'c': [],
    'a': {
    },
    'on': {},
}
def eval(ev, par):
    config = {}
    config.update(default_config['a'])
    config.update(par['a'])
    w = Notebook()
    w.show()
    def on(ev, f):
        w.connect(ev, f)
    ons = {}
    ons.update(default_config['on'])
    if 'on' in par:
        ons.update(par['on'])
    try:
        for k in ons:
            on(k, ons[k])
    except:
        pass
    c = default_config['c']
    try:
        c = par['c']
    except:
        pass
    cres = []
    subnodes = []
    for e in c:
        if isinstance(e, (list, tuple)) and len(e) == 2:
            lab, wid = e
            wid = ev(wid)
            w.append(wid['widget'], lab)
            cres.append([lab, wid])
            subnodes.append(wid)
        else:
            uti.err(u'cóś za dużo albo za mało dzieci w karcie notebooka')
    def grab_focus():
        w.grab_focus()
        return w
    def get_current_page():
        return w.get_current_page()
    res = {
        'widget': w,
        'on': ons,
        'c': cres,
        'sub': subnodes,
        'm': {
            'grab_focus': grab_focus,
            'get_current_page': get_current_page,
        }
    }
    return res
if __name__ == '__main__':
    pass