#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
import pango
import gtk
pygtk.require('2.0')
if gtk.pygtk_version < (2,7,0):
    print "PyGtk 2.7.0 or later required for this program"
    raise SystemExit
import os
def framed(w):
    fr = Frame()
    fr.add(w)
    fr.show()
    return fr
class VBox(gtk.VBox):
    def __init__(self):
        gtk.VBox.__init__(self, False, 0)
        self.myon = {}
    def exp(self, widget, padding=0):
        self.pack_start(widget, True, True, padding)
    def noexp(self, widget, padding=0):
        self.pack_start(widget, False, False, padding)
    def sep(self, padding=0):
        separator = gtk.HSeparator()
        separator.show()
        self.pack_start(separator, False, False, padding)
    def key_press_event(self, widget, event):
        if 'key_press' in self.myon and self.myon['key_press'] is not None:
            self.myon['key_press'](d)
        print keyboard.event_to_dict(event)
        if 0:
            r = self.key_process['key_press'](event)
            program = r['program']
            for x in program:
                c, p = x
                if c == 'insert':
                    self.textbuffer.insert_at_cursor(p)
                else:
                    pass
            res = r['done']
            return res
    def key_release_event(self, widget, event):
        return False
        print keyboard.event_to_dict(event)
        if 0:
            r = self.key_process['key_release'](event)
            program = r['program']
            for x in program:
                c, p = x
                if c == 'insert':
                    self.textbuffer.insert_at_cursor(p)
                else:
                    pass
            res = r['done']
            return res
default_config = {
    'c': [None, None],
    'a': {
        'position': 0,
        'resize': [False, True],
        'shrink': [True, True],
    },
    'on': {},
}
def eval(ev, par):
    a = {}
    try:
        a.update(default_config['a'])
    except KeyError:
        pass
    try:
        a.update(par['a'])
    except KeyError:
        pass
    w = VBox()
    w.show()
    w.myon = {}
    def on(ev, f):
        if ev in ['key_press']:
            w.myon[ev] = f
        else:
            w.connect(ev, f, w)
    def onX(ev, f):
        w.connect(ev, f)
    ons = {}
    try:
        ons.update(default_config['on'])
    except:
        pass
    try:
        ons.update(par['on'])
    except:
        pass
    try:
        for k in ons:
            on(ons[k])
    except:
        pass
    c = default_config['c']
    try:
        c = par['c']
    except:
        pass
    assert isinstance(c, list)
    children = []
    for cc in c:
        if cc == 'sep':
            separator = gtk.HSeparator()
            separator.show()
            w.noexp(separator)
            child = {'t': 'hsep', 'widget': separator}
            children.append(child)
        else:
            t, v = cc
            v0 = ev(v)
            if t == 'exp':
                w.exp(v0['widget'])
            elif t == 'noexp':
                w.noexp(v0['widget'])
            if isinstance(v0, dict):
                if 'a' not in v0:
                    v0['a'] = {}
                v0['a']['exp'] = t == 'exp'
            children.append(v0)
    def sep():
        w.sep()
        return w
    def exp(e):
        w.exp(e)
        return w
    def noexp(e):
        w.noexp(e)
        return w
    res = {
        'widget': w,
        'on': ons,
        'c': children,
        'm': {
            'sep': sep,
            'exp': exp,
            'noexp': noexp,
        }
    }
    return res
if __name__ == '__main__':
    pass